RTEMS: bsps/i386/pc386/console/rtd316.c File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Macros | Functions
rtd316.c File Reference

Driver for RTD316 ISA SCC Board. More...

`#include <bsp.h>`
`#include <termios.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <rtems/termiostypes.h>`
`#include <libchip/serial.h>`
`#include <libchip/z85c30.h>`
`#include <rtems/bspIo.h>`
`#include <bsp/rtd316.h>`
`#include <rtems/score/i386.h>`
`#include "../../shared/dev/serial/legacy-console.h"`

## Macros
#define | RTD_CLOCK_RATE (460800 * 32)

## Functions
uint8_t | rtd316_com_get_register (uint32_t addr, uint8_t reg)
| RTD316 Obtain Register Helper.
void | rtd316_com_set_register (uint32_t addr, uint8_t reg, uint8_t val)
| RTD316 Set Register Helper.
rtems_device_driver | rtd316_initialize (rtems_device_major_number major, rtems_device_minor_number minor_arg, void *arg)
| RTD316 Initialization Entry Point.

## Detailed Description

Driver for RTD316 ISA SCC Board.

The RTD316 has a single Z85C30.

## Function Documentation

## ◆ rtd316_com_get_register()

uint8_t rtd316_com_get_register | ( | uint32_t | addr,
|  | uint8_t | reg
| ) |  |

RTD316 Obtain Register Helper.

This method is used to read registers on the RTD316.

Parameters

  [in] | addr | is the base address
  [in] | reg | is the register number

Returns
  This method returns the value of the register.

## ◆ rtd316_com_set_register()

void rtd316_com_set_register | ( | uint32_t | addr,
|  | uint8_t | reg,
|  | uint8_t | val
| ) |  |

RTD316 Set Register Helper.

This method is used to set registers on the RTD316.

Parameters

  [in] | addr | is the base address
  [in] | reg | is the register number

## ◆ rtd316_initialize()

rtems_device_driver rtd316_initialize | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

RTD316 Initialization Entry Point.

This method initializes the RTD316 device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Returns
  This method returns RTEMS_SUCCESSFUL when the device driver is successfully initialized.